import request from '@/utils/request'

// 查询设备报废流程记录列表
export function listScrapRecord(query) {
  return request({
    url: '/device/scrapRecord/list',
    method: 'get',
    params: query
  })
}

// 查询设备报废流程记录详细
export function getScrapRecord(id) {
  return request({
    url: '/device/scrapRecord/' + id,
    method: 'get'
  })
}

// 新增设备报废流程记录
export function addScrapRecord(data) {
  return request({
    url: '/device/scrapRecord',
    method: 'post',
    data: data
  })
}

// 修改设备报废流程记录
export function updateScrapRecord(data) {
  return request({
    url: '/device/scrapRecord',
    method: 'put',
    data: data
  })
}

// 删除设备报废流程记录
export function delScrapRecord(id) {
  return request({
    url: '/device/scrapRecord/' + id,
    method: 'delete'
  })
}

// 导出设备报废流程记录
export function exportScrapRecord(query) {
  return request({
    url: '/device/scrapRecord/export',
    method: 'get',
    params: query
  })
}